/**
 * API 接口
 */
const api = {
    /**
     * 人工定额管理
     */
    LaborQuota: {
        /**
         * 定额详情
         */
        Details: {
            method: 'get',
            url: 'api/LaborQuota/Details'
        },

        /**
         * 分页查询
         */
        Search: {
            method: 'get',
            url: 'api/LaborQuota/Details'
        },

        /**
         * 分页查询(按序展开)
         */
        SearchEx: {
            method: 'get',
            url: 'api/LaborQuota/SearchEx'
        }
    },

    /**
     * 定额调整单
     */
    LaborQuotaOrder: {
        /**
         * 审批调整单
         */
        Approve: {
            method: 'post',
            url: 'api/LaborQuotaOrder/AdjustOrder/Approve'
        },

        /**
         * 调整单详情(含单行)
         */
        Details: {
            method: 'get',
            url: 'api/LaborQuotaOrder/AdjustOrder/Details'
        },

        /**
         * 删除调整单行
         */
        LinesRemoveById: {
            method: 'post',
            url: 'api/LaborQuotaOrder/AdjustOrder/Lines/RemoveById'
        },

        /**
         * 新增或修改单行
         */
        LinesSaveOrUpdate: {
            method: 'post',
            url: 'api/LaborQuotaOrder/AdjustOrder/Lines/SaveOrUpdate'
        },

        /**
         * 删除调整单(含单行)
         */
        RemoveById: {
            method: 'post',
            url: 'api/LaborQuotaOrder/AdjustOrder/RemoveById'
        },

        /**
         * 保存调整单
         */
        Save: {
            method: 'post',
            url: 'api/LaborQuotaOrder/AdjustOrder/Save'
        },

        /**
         * 提交调整单
         */
        Submit: {
            method: 'get',
            url: 'api/LaborQuotaOrder/AdjustOrder/Submit'
        },

        /**
         * 更新调整单
         */
        Update: {
            method: 'post',
            url: 'api/LaborQuotaOrder/AdjustOrder/Update'
        }
    },

    /**
     * 工序档案
     */
    Process: {
        /**
         * 工序详情
         */
        Details: {
            method: 'get',
            url: 'api/Process/Details'
        },

        /**
         * 删除工序档案
         */
        RemoveById: {
            method: 'post',
            url: 'api/Process/RemoveById'
        },

        /**
         * 新增工序档案
         */
        Save: {
            method: 'post',
            url: 'api/Process/Save'
        },

        /**
         * 查询工序
         */
        Search: {
            method: 'get',
            url: 'api/Process/Search'
        },

        /**
         * 更新工序档案
         */
        Update: {
            method: 'post',
            url: 'api/Process/Update'
        }
    },

    /**
     * 工作组档案
     */
    WorkingTeam: {
        /**
         * 工作组详情
         */
        Details: {
            method: 'get',
            url: 'api/WorkingTeam/Details'
        },

        /**
         * 删除工作组档案
         */
        RemoveById: {
            method: 'post',
            url: 'api/WorkingTeam/RemoveById'
        },

        /**
         * 新增工作组档案
         */
        Save: {
            method: 'post',
            url: 'api/WorkingTeam/Save'
        },

        /**
         * 查询工作组
         */
        Search: {
            method: 'get',
            url: 'api/WorkingTeam/Search'
        },

        /**
         * 更新工作组档案
         */
        Update: {
            method: 'post',
            url: 'api/WorkingTeam/Update'
        }
    },

    /**
     * 工作级工序
     */
    WorkingTeamProcess: {
        /**
         * 添加一个或多个关联工序
         */
        Add: {
            method: 'post',
            url: 'api/WorkingTeamProcess/Add'
        },

        /**
         * 工序详情
         */
        Details: {
            method: 'get',
            url: 'api/WorkingTeamProcess/Details'
        },

        /**
         * 关联工序列表
         */
        List: {
            method: 'get',
            url: 'api/WorkingTeamProcess/List'
        },

        /**
         * 移除关联工序
         */
        RemoveById: {
            method: 'get',
            url: 'api/WorkingTeamProcess/RemoveById'
        }
    },

    /**
     * 工段管理
     */
    WorkshopSection: {
        /**
         * 工段详情
         */
        Details: {
            method: 'get',
            url: 'api/WorkshopSection/Details'
        },

        /**
         * 删除工段档案
         */
        RemoveById: {
            method: 'post',
            url: 'api/WorkshopSection/RemoveById'
        },

        /**
         * 新增工段档案
         */
        Save: {
            method: 'post',
            url: 'api/WorkshopSection/Save'
        },

        /**
         * 查询工段
         */
        Search: {
            method: 'get',
            url: 'api/WorkshopSection/Search'
        },

        /**
         * 更新工段档案
         */
        Update: {
            method: 'post',
            url: 'api/WorkshopSection/Update'
        }
    },

    /**
     * 用户
     */
    User: {
        /**
         * 登录
         */
        Login: {
            method: 'post',
            url: 'api/User/Login'
        },

        /**
         * 用户信息
         */
        user: {
            method: 'get',
            url: 'api/User/user'
        }
    }
};

export default api;