import extend from './extend.js';
import request from './request.js';
import api from './api.js';

/**
 * 用户类
 */
class user {
    /**
     * 获取用户对象
     */
    get() {
        let user = extend.readStorage('login_result');
        return user;
    }

    /**
     * 设置用户对象
     * @param {object} user 用户对象
     * @returns {boolean} 设置成功标记
     */
    set(user) {
        if (extend.isObject(user)) {
            extend.addStorage('login_result', user);
            return true;
        }
        return false;
    }

    /**
     * 获取登录信息
     */
    getLoginInfo() {
        let info = extend.readStorage('login_result');
        return info;
    }

    /**
     * 设置登录信息
     * @param {object} info 登录信息
     * @param {string} info.LoginName 登录账号
     * @param {string} info.Password 登录密码
     * @returns {boolean} 设置成功标记
     */
    setLoginInfo(info) {
        if (extend.isObject(info)) {
            extend.addStorage('login_info', info);
            return true;
        }
        return false;
    }

    /**
     * 清除用户信息缓存
     */
    clear() {
        extend.removeStorage('login_result');
    }

    /**
     * 清除登录信息缓存
     */
    clearLoginInfo() {
        ext.removeStorage('login_info');
    }

    /**
     * 通过服务器获取用户信息
     */
    async getByServer() {
        let res = await request.sendToken({
            url: api.User.user.url,
            method: api.User.user.method
        });
        if (res.success) {
            this.set(res.data);
        }
        return res;
    }
}

/**
 * 网络请求
 */
export default new user();